# View file execution records

```{raw} html
<div class="mo-api-page-show-toc" aria-hidden="true"></div>
```

Lists workflow execution records triggered by files, used to locate associated workflows and jobs.

```text
GET https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/file-executions
```

## Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

## Query parameters

::::{div} mo-api-split
:::{div} mo-api-split-main

```{raw} html
<dl class="mo-api-fields">
  <div class="mo-api-field"><dt><code>offset</code><span class="mo-api-field__type">integer</span></dt><dd>Returns the starting position of the list.</dd></div>
  <div class="mo-api-field"><dt><code>limit</code><span class="mo-api-field__type">integer</span></dt><dd>Return the quantity.</dd></div>
</dl>
```

:::
:::{div} mo-api-split-aside

```{raw} html
<p class="mo-api-example-label">Request example</p>
```

```bash
curl -X GET "https://moi.matrixorigin.cn/newmoi/workflow/v2/workflow-apps/file-executions?offset=$OFFSET" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"
```

:::
::::

## Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

::::{div} mo-api-split
:::{div} mo-api-split-main

```{raw} html
<dl class="mo-api-fields">
  <div class="mo-api-field"><dt><code>data.executions</code><span class="mo-api-field__type">array</span></dt><dd>File execution record.</dd></div>
  <div class="mo-api-field"><dt><code>data.total</code><span class="mo-api-field__type">integer</span></dt><dd>The total number of matching records.</dd></div>
</dl>
```

:::
:::{div} mo-api-split-aside

```{raw} html
<p class="mo-api-example-label">Successful response example</p>
```

```json
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "executions": [],
    "total": 0
  }
}
```

:::
::::

## Error response

::::{div} mo-api-split
:::{div} mo-api-split-main

```{raw} html
<dl class="mo-api-fields">
  <div class="mo-api-field"><dt><code>code</code><span class="mo-api-field__type">string</span></dt><dd>Error code.</dd></div>
  <div class="mo-api-field"><dt><code>msg</code><span class="mo-api-field__type">string</span></dt><dd>Readable error message.</dd></div>
  <div class="mo-api-field"><dt><code>data</code><span class="mo-api-field__type">null</span></dt><dd>`null` in an error response.</dd></div>
</dl>
```

:::
:::{div} mo-api-split-aside

```{raw} html
<p class="mo-api-example-label">Error response example</p>
```

```json
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
```

:::
::::

## Follow-up operations

Use the workflow and execution identifier in the record [query workflow job details](get-workflow-job.md).
